/**
 * (c) 2002 Zyneo
 *
 * $Id: Send.java,v 1.2 2003/03/19 16:14:18 nian Exp $
 *
 * <pre>
 *
 * $Log: Send.java,v $
 * Revision 1.2  2003/03/19 16:14:18  nian
 * Corrected some comments
 *
 * Revision 1.1  2002/10/15 07:37:23  nian
 * Added file
 *
 *
 * </pre>
 */
package zyneo.sms.test.xml.tcp;

import org.apache.log4j.*;

import zyneo.sms.gateway.adaptor.xml.tcp.client.*;
import zyneo.sms.*;

import java.io.*;
import java.net.*;
import java.util.*;

/**
 * Sends a SMS-message by using the SendConnection-object.
 *
 * @author Niklas Andersson
 */
public class Send
{
  public static final String DEFAULT_HOST = "localhost";
  public static final int DEFAULT_PORT = 3000;

  protected Category m_log;

  protected String m_host;
  protected int m_port;

  /**
   * Constructor
   *
   * @param port
   * @param host
   */
  public Send(int port,String host)
  {
    BasicConfigurator.configure();

    m_log = Category.getInstance(this.getClass());

    if(port < 1)
      m_port = DEFAULT_PORT;
    else
      m_port = port;

    if(host == null || "".equals(host) )
      m_host = DEFAULT_HOST;
    else
      m_host = host;
  }

  /**
   * Sends a message
   *
   * @param to number
   * @param m message
   */
  public void send(String to,String m)
  {
    SendConnection sc = new SendConnection(m_host,m_port);

    try
    {
      sc.connect();

      Sms s = null;
      s = new Sms(to,m);

      s.setNotify(true);
      s.setExpire(new Date(System.currentTimeMillis() + 10*60*60*1000));

      String id = sc.send(s);
      m_log.info("Message succesfully sent, id:" + id);

      sc.disconnect();
    }
    catch(RequestException re)
    {
      m_log.error("Error sending message",re);
    }
    catch(UnknownHostException uhe)
    {
      m_log.error("Error sending message",uhe);
    }
    catch(IOException ioe)
    {
      m_log.error("Error sending message",ioe);
    }
  }

  public static void main(String[] args)
  {
    Send testSend1 = null;

    if(args.length == 2)
    {
      testSend1 = new Send(-1,null);
      testSend1.send(args[0],args[1]);
    }
    else if(args.length == 3)
    {
      testSend1 = new Send(Integer.parseInt(args[2]),null);
      testSend1.send(args[0],args[1]);
    }
    else if(args.length == 4)
    {
      testSend1 = new Send(Integer.parseInt(args[2]),args[3]);
      testSend1.send(args[0],args[1]);
    }
    else
      System.out.println("Usage: TestSend to-number message [port] [host]");
  }


}