package sms;

import zyneo.sms.Sms;

/**
* Copyright (c) 2002 Zyneo
*
* $Id: SmsBean.java,v 1.1 2003/03/23 15:44:26 nian Exp $
*
* @author nian
* 
* <pre>
* $Log: SmsBean.java,v $
* Revision 1.1  2003/03/23 15:44:26  nian
* Added file
*
* 
* </pre>
*/

/**
*
* An extension to the Sms.
* 
* We add status and the Id to be able to
* track this message. In addition we add
* some convinience methods to make the
* Sms more simple to use for our purpouses.
*
*/
public class SmsBean extends Sms
{
	/** The identifier or this message */
	protected String m_id;
	
	/** The status of this message in text */
	protected String m_status;
	
	/**
	 * Constructor for SmsBean.
	 * 
	 * @param to The designated number
	 * @param message The message
	 * @param reports Inidicates if status reports is requested.
	 * @param valid The validity period.
	 */
	public SmsBean(String to,String message,boolean reports,java.util.Date valid)
	{
		super(to,message);
		
		setNotify(reports);
		setExpire(valid);
	}

	/**
	 * Returns the id.
	 * @return String
	 */
	public String getId()
	{
		return m_id;
	}

	/**
	 * Returns the status.
	 * @return String
	 */
	public String getStatus()
	{
		return m_status;
	}

	/**
	 * Sets the id.
	 * @param id The id to set
	 */
	protected void setId(String id)
	{
		m_id = id;
	}

	/**
	 * Sets the status.
	 * @param status The status to set
	 */
	protected void setStatus(String status)
	{
		m_status = status;
	}

}
