<?php

    //
    // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
    // See LICENSE distributed with this package for more information.
    //

    include_once (_DOCROOT ."/base/Base.php");
    
    /**
     * $Id: SendRequest.php,v 1.1.1.1 2003/03/27 10:27:42 maro Exp $
     *
     * This class represents a Request to send an SMS which will be sent to the
     * gateway.
     * @package adapter.protocol.send
     * @author Magnus Rosenquist, Zyneo
     */
    class SendRequest
        extends Base
    {
        /** The SMS object for this Request */
        var $__sms;
        
        /**
         * Creates a new Request to send an SMS message.
         * @param Sms $sms
         * @see Sms
         */
        function SendRequest($sms)
        {
            $this->registerClass(get_class($this));
            $this->__sms = $sms;    
        }
        
        /**
         * Serializes this Request into an XML string.
         * @return string
         */
        function toXML()
        {
            $this->registerMethod("toXML");
            $xml  = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
            $xml .= "<request type=\"send\" version=\"1.0\">";
            $xml .= "<sms><to address=\"" . $this->__sms->getTo() ."\"/>";
            $xml .= "<statusreports value=\"" . $this->__sms->getStatusReporting() ."\"/>";
            if ( $this->__sms->getValidTo() != "" )
                $xml .= "<valid date=\"". $this->__sms->getValidTo() ."\"/>";
            $xml .= "<message>" . $this->__sms->getMessage() . "</message></sms></request>";
    
            return $xml;                     
            
        }
    }

?>
