<?php

    //
    // Copyright (c) 2002-2003 Zyneo HB. (http://www.zyneo.com)
    // See LICENSE distributed with this package for more information.
    //
     
     include_once("config/config.inc");
     include_once(_DOCROOT . "/sdk/protocol/Notification.php");
     
    /**
     * $Id: view-sms.php,v 1.1.1.1 2003/03/27 10:27:43 maro Exp $
     *
     * This page displays received SMS and Notifications that has been posted
     * to the webserver by the gateway. 
     *
     * SMS messages are posted to the page 'sms-handler.php'.
     * Notifications are posted to the page 'notification-handler.php'.
     * For the moment all received SMS and Notifications are simply serialized 
     * to files for simplicity in the samples. This page only unserializes the 
     * files and displays the result. 
     *
     * Preferrably the messages should be stored in a database.
     *
     * This page and both pages mentioned above are only samples of one way
     * of dealing with incoming SMS and Notifications. 
     *
     * They are and should be considered as SAMPLES and not to be used in 
     * a production environment. 
     *
     * @author Magnus Rosenquist, Zyneo
     * 
     */
     
     function printSMS()
     {
        $smsFile = "sms.arr";
        if ( ($fp = @fopen($smsFile, "r")) != false) 
        {
            $smsArr = unserialize(fread($fp, 256000));
            fclose($fp);
        }
        else
            $smsArr = array();
       
        $len = count($smsArr);
        $tbl  = "<p>Count SMS: " .$len ."</p>";
        $tbl .= "<table width=\"100%\" border=\"0\">
                <tr><td><b>From</b></td><td><b>To</b></td><td><b>Message</b></td><td><b>Received</b></td></tr>";
        for ($i=0; $i<=$len; $i++)
        {
            $tbl .= "<tr>";
            $sms = $smsArr[$i];
            $tbl .= "<td>".$sms["from"]."</td><td>".$sms["to"]."</td><td>".$sms["message"]."</td>
                     <td>".$sms["received"]."</td></tr>";
        }
        $tbl .= "</table>";
        return $tbl;
     }

     function printNot()
     {
        $notification = new Notification();
        $notFile = "not.arr";
        if ( ($fp = @fopen($notFile, "r")) != false) 
        {
            $notArr = unserialize(fread($fp, 256000));
            fclose($fp);
        }
        else
            $notArr = array();
       
        $len = count($notArr);
        $tbl  = "<p>Count Notifications: " .$len ."</p>";
        $tbl .= "<table width=\"100%\" border=\"0\">
                <tr><td><b>Type</b></td><td><b>Message-id</b></td><td><b>Notification received SMSc</b></td>
                <td><b>Notification received gateway</b></td><td><b>SMS sent</b></td></tr>";
        if ( $len != 0 )
        {                
            for ($i=0; $i<=$len; $i++)
            {
                $tbl .= "<tr>";
                $not = $notArr[$i];
                $type = $notification->getNotificationTypeText($not["type"]);
                $tbl .= "<td>".$type."</td><td>".$not["id"]."</td>
                        <td>".$not["event"]."</td>
                        <td>".$not["local"]."</td>
                        <td>".$not["smsc"]."</td></tr>";
            }
        }
        $tbl .= "</table>";
        return $tbl;
     }
     
     
    
?>
<html>
    <head><title>View received SMS and Notifications</title></head>
    <body>
        <h3>View received SMS and Notifications</h3>
        <h4>Received SMS</h4>
        <?=printSMS()?>
        <p>
            <a href="javascript:history.go(-1)">Back</a>
        </p>
        <hr/>
        <h4>Received Notifications</h4>
        <?=printNot()?>
        <p>
            <a href="javascript:history.go(-1)">Back</a>
        </p>
    </body>
</html>
